#!/usr/bin/env python
# -*- coding: utf-8 -*-

# file      : common.py
# project   : fricorder
# copyright : (C) 2013 by Claude Bulin
#
# This file is part of fricorder project
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; version 3.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA


import datetime
from subprocess import Popen,PIPE
import time, string
from fconfig import FConfig
# init the foreign language
import Language_Init
_ = Language_Init.Translator(FConfig).lang.gettext

def run(cmds):
	""" execute une liste de commandes 'cmds' et retourne sa sortie """
	p = Popen(cmds, shell=False,stdout=PIPE,stderr=PIPE)
	time.sleep(0.01)    # to avoid "IOError: [Errno 4] Interrupted system call"
	buffer_out = p.stdout.readlines()
	buf = ''
	if buffer_out:
		for line in buffer_out:
			buf = buf + line.decode( 'utf-8' )
	return buf


def normalize(valRech):
	""" remplace les caracteres stranges """
	# valRech = unicode(valRech).encode("utf_16")
	# sfrom = ur"àâäéèêëïîôöûùüç /\<>'|[]!?-+:;"
	# sto   = ur"aaaeeeeiioouuuc_______________"
	# return valRech.translate( sfrom.maketrans(sfrom.encode("utf_16"),sto.encode("utf_16")) ).decode("utf_16")
	return valRech


def affDate(d):
	""" transforme une datetime 'd' en un jour lisible """
	t={
	   -2:_("avant-hier"),
	   -1:_("hier"),
	   0: _("aujourd'hui"),
	   1: _("demain"),
	   2: _("apres-demain"),
	  }
	n=datetime.datetime.now()
	n=datetime.datetime(n.year,n.month,n.day,0,0,0)
	d=datetime.datetime(d.year,d.month,d.day,0,0,0)
	delta= (d-n).days
	if delta in t.keys():
		return t[delta]
	else:
		return d.strftime("%A %d %B %y")

if __name__ == "__main__":
	pass
