#!/usr/bin/env python
# -*- coding: utf-8 -*-

# file      : wind_chooser.py
# project   : fricorder
# copyright : (C) 2013 by Claude Bulin
#
# This file is part of fricorder project
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; version 3.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA


from gi.repository import Gtk, GObject
import os
from SimpleGtkBuilderApp import SimpleGtkBuilderApp
from fconfig import FConfig
# init the foreign language
import Language_Init

class wind_chooser(SimpleGtkBuilderApp):

	def __init__(self, path="wind_chooser.glade", root="wind_chooser", domain="fricorder", form=None, project=None, selected_files=None, **kwargs):
		SimpleGtkBuilderApp.__init__(self, os.path.join(FConfig.DATADIR, path), root, domain, **kwargs)

		# Add language support
		_ = Language_Init.Translator(FConfig).lang.gettext
		self._ = _

		self.form = form
		self.project = project

		self.chooserdialog.set_title(_("Destination des enregistrements"))
		self.chooserdialog.set_default_response (Gtk.ResponseType.OK)
		self.chooserdialog.set_local_only(False)
		self.chooserdialog.set_modal(True)
		self.chooserdialog.set_action(Gtk.FileChooserAction.SELECT_FOLDER)
		self.chooserdialog.set_select_multiple(False)
		self.chooserdialog.set_current_folder(self.form.e_dest.get_text())
		self.chooserdialog.show()

	def on_chooserdialog_destroy_event(self, widget, data=None):
		self.chooserdialog.destroy()

	def chooserdialog_delete_event_cb(self, widget, data=None):
		self.chooserdialog.destroy()

	def on_button_ok_clicked(self, widget, data=None):
		self.form.e_dest.set_text(self.chooserdialog.get_filename() )
		self.chooserdialog.destroy()

	def on_button_cancel_clicked(self, widget, data=None):
		self.chooserdialog.destroy()

if __name__ == '__main__':
	windows_chooser = wind_chooser()
